/*
 * PasswordItem.java
 *
 * Copyright (C) 2005-2006 Tommi Laukkanen
 * http://www.substanceofcode.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.substanceofcode.saferoom.data;

/**
 *
 * @author Tommi Laukkanen
 */
public class PasswordItem {
    
    /** Creates a new instance of PasswordItem */
    public PasswordItem(String location,
			String username,
			String password,
			String comment) {
	m_location = location;
	m_username = username;
	m_password = password;
	m_comment = comment;
    }

    /** Get location */
    public String getLocation() {
        return m_location;
    }
    
    /** Set location */
    public void setLocation(String location) {
	m_location = location;
    }     
    
    /** Get username */
    public String getUsername() {
        return m_username;
    }
    
    /** Set username */
    public void setUsername(String username) {
	m_username = username;
    }    
    
    /** Get password */
    public String getPassword() {
        return m_password;
    }
    
    /** Set password */
    public void setPassword(String password) {
	m_password = password;
    }
    
    /** Get comment */
    public String getComment() {
        return m_comment;
    }
    
    /** Set comment */
    public void setComment(String comment) {
	m_comment = comment;
    }

    /** Properties */
    private String m_location = "";
    private String m_username = "";
    private String m_password = "";
    private String m_comment = "";
    
}
